/*********************** Configuration Warnings **************************
      ************************   UPM A   **************************
Section Error: In RBS: Incorrect Number of Transaction Assertions.
Section Error: In WBS: Incorrect Number of Transaction Assertions.
      ************************   UPM B   **************************
Section Error: In RBS: Incorrect Number of Transaction Assertions.
Section Error: In WBS: Incorrect Number of Transaction Assertions.
      ************************   UPM C   **************************
Section Error: In RBS: Incorrect Number of Transaction Assertions.
Section Error: In WBS: Incorrect Number of Transaction Assertions.
******************** End of Configuration Warnings ***********************/

/* MxMR Configuration Code */
unsigned long MAMR = 0x40000;
unsigned long MBMR = 0x40000;
unsigned long MCMR = 0x40000;

/* UPM Table Configuration Code */
static unsigned long UPMATable[] = 
{
	0xccffec00,  0x00fced00,  0x00fcef00,  0x00fcec00, //Words 0 to 3
	0x00fcec04,  0x11fdec01,  0xffffec00,  0xffffec00, //Words 4 to 7
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 8 to 11
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 12 to 15
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 16 to 19
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 20 to 23
	0xccffe000,  0x00ff2100,  0x00ff2300,  0x00ff2000, //Words 24 to 27
	0x33ffec05,  0xffffec00,  0xffffec00,  0xffffec00, //Words 28 to 31
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 32 to 35
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 36 to 39
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 40 to 43
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 44 to 47
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 48 to 51
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 52 to 55
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 56 to 59
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01  //Words 60 to 63
};

static unsigned long UPMBTable[] = 
{
	0xccffec00,  0x00fced00,  0x00fcef00,  0x00fcfc00, //Words 0 to 3
	0x00fcec04,  0x11fdec01,  0xffffec00,  0xffffec00, //Words 4 to 7
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 8 to 11
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 12 to 15
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 16 to 19
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 20 to 23
	0xccffe000,  0x00ff2100,  0x00ff2300,  0x00ff3000, //Words 24 to 27
	0x33ffec05,  0xffffec00,  0xffffec00,  0xffffec00, //Words 28 to 31
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 32 to 35
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 36 to 39
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 40 to 43
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 44 to 47
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 48 to 51
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 52 to 55
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 56 to 59
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01  //Words 60 to 63
};

static unsigned long UPMCTable[] = 
{
	0xccffec00,  0x00fced00,  0x00fcef00,  0x00fcfc00, //Words 0 to 3
	0x00fcec04,  0x11fdec01,  0xffffec00,  0xffffec00, //Words 4 to 7
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 8 to 11
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 12 to 15
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 16 to 19
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 20 to 23
	0xccffe000,  0x00ff2100,  0x00ff2300,  0x00ff3000, //Words 24 to 27
	0x33ffec05,  0xffffec00,  0xffffec00,  0xffffec00, //Words 28 to 31
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 32 to 35
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 36 to 39
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 40 to 43
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 44 to 47
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 48 to 51
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 52 to 55
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01, //Words 56 to 59
	0xfffffc01,  0xfffffc01,  0xfffffc01,  0xfffffc01  //Words 60 to 63
};

